@mixin item-weight($weight) {
  font-size: calc($weight * 0.2rem + 0.3rem);
  opacity: calc((15 - (9 - $weight)) / 15);
}

.cloud {
  list-style-type: none;
  padding-left: 0;

  display: flex;
  flex-wrap: wrap;
  align-items: center;
  justify-content: center;

  &-item {
    display: block;
    padding: 0.1em 0.2em;
    position: relative;

    &-weight {
      &--1 {
        @include item-weight(1);
      }
      &--2 {
        @include item-weight(2);
      }
      &--3 {
        @include item-weight(3);
      }
      &--4 {
        @include item-weight(4);
      }
      &--5 {
        @include item-weight(5);
      }
    }
  }
}
